function load() {

	//classes
	function Brick(scene) { //brick class
		this.scene = scene;
		this.mesh = new THREE.Mesh(
			new THREE.CubeGeometry(0.6, 0.1, 0.1),
			new THREE.MeshLambertMaterial({
				color: 0x1155FF
			}));

		function add() {
			this.scene.add(this.mesh);
		}
		this.add = add;

		function place(x, y) {
			this.mesh.position.x = x;
			this.mesh.position.y = y;
		}
		this.place = place;
	}


	//vars
	var mouseString;
	var mX = 0;
	var mY = 0;
	var barX = 1;
	var leftKey = false;
	var rightKey = false;
	var ballDX =0.015;
	var ballDY =-0.015;


	var doKeyDown = function (e) {
		//alert();
		if (e.keyCode == 40) {;
		} //down?
		if (e.keyCode == 37) {
			leftKey = true;
		} //Left?
		if (e.keyCode == 39) {
			rightKey = true;
		} //right?
		if (e.keyCode == 88) {;
		} //KEY X
		if (e.keyCode == 90) {;
		} //KEY Z
	};
	var doKeyUp = function (e) {
		//alert();
		if (e.keyCode == 40) {;
		} //down?
		if (e.keyCode == 37) {
			leftKey = false;
		} //Left?
		if (e.keyCode == 39) {
			rightKey = false;
		} //right?
		if (e.keyCode == 88) {;
		} //KEY X
		if (e.keyCode == 90) {;
		} //KEY Z
	};




	//setup
	var scene = new THREE.Scene();
	var camera = new THREE.PerspectiveCamera(75, window.innerWidth / window.innerHeight, 0.1, 10);
	var renderer = new THREE.WebGLRenderer({
		canvas: document.getElementById("a"),
		antialias: true
	});
	renderer.setSize(window.innerWidth, window.innerHeight);
	renderer.setClearColorHex(0x000000, 1);
	//document.body.appendChild(renderer.domElement);

	//setup2
	var osn = document.createElement('div');
	osn.style.position = 'absolute';
	//osn.innerHTML = "hi there!";
	osn.style.backgroundColor = "blue";
	osn.style.top = 200 + 'px';
	osn.style.left = 200 + 'px';
	document.body.appendChild(osn);
	canvas = document.getElementById('a');
	canvas.addEventListener('keydown', doKeyDown, true);
	canvas.addEventListener('keyup', doKeyUp, true);
	//window.myMouseX=0;
	//window.myMouseY=0;

	var mousey = function (evt) {
		//mouseX=0;
		mX = evt.clientX;
		mY = evt.clientY;

		//message = 'Mouse position: ' + mX + ',' + mY;
		//osn.innerHTML =message;
		//mouseString=message;
		//alert();

	}

	document.getElementById("a").addEventListener('mousemove', mousey, false);


	//lights
	var pointLight = new THREE.PointLight(0xFFFFFF);
	var ambientLight = new THREE.AmbientLight(0x222222);
	pointLight.position.z = 1;
	scene.add(ambientLight);
	scene.add(pointLight);

	//

	//var mercuryMaterial = new THREE.MeshLambertMaterial({color: 0xFF5511});
	var ball = new THREE.Mesh(
		new THREE.SphereGeometry(
			0.1,
			15,
			15),
		new THREE.MeshLambertMaterial({
			color: 0xFF5511
		}));
	scene.add(ball)

	var brick = new Brick(scene);
	brick.add();
	brick.place(-1.7, 1.95);

	var bar = new THREE.Mesh(
		new THREE.CubeGeometry(0.6, 0.1, 0.1),
		new THREE.MeshLambertMaterial({
			color: 0x1155FF
		}));
	bar.position.y = -2;
	scene.add(bar)
	var back = new THREE.Mesh(
		new THREE.CubeGeometry(6, 4, 0.01),
		new THREE.MeshLambertMaterial({
			color: 0x115511
		}));
	back.position.y = 0;
	back.position.z = -0.1;
	scene.add(back);



	camera.position.z = 3;

	var render = function () {
	
		if (leftKey) {
			barX = barX - 0.05;
		}
		if (rightKey) {
			barX = barX + 0.05;
		}
		bar.position.x = barX;
		ball.position.x=ball.position.x+ballDX;
		ball.position.y=ball.position.y+ballDY;
		if(ball.position.y<-2){if(ballDY<0){ballDY=-ballDY;}}
		if(ball.position.y>2){if(ballDY>0){ballDY=-ballDY;}}
		
		if(ball.position.x>3){if(ballDX>0){ballDX=-ballDX;}}
		if(ball.position.x<-3){if(ballDX<0){ballDX=-ballDX;}}
		
		requestAnimationFrame(render);
		message = 'Mouse position: ' + mX + ',' + mY;
		message = message + " rightKey:" + rightKey;
		osn.innerHTML = message;
		//ball.position.x=ball.position.x+0.01;
		renderer.render(scene, camera);
	};
	render();

}